This is a very time-intensive project because if we go lower we'll have to redo maps, redo plugins, troubleshoot more plugins, etc. We are currently at 1.12.1. If we decide to change, we're moving forward with and sticking to it.